/*
 	File:		CMComponent.h
 
 	Contains:	ColorSync CMM Component API
 
 	Version:	Technology:	ColorSync 2.0
 				Release:	Universal Interfaces 3.1
 
 	Copyright:	 1993-1998 by Apple Computer, Inc., all rights reserved.
 
 	Bugs?:		Please include the the file and version information (from above) with
 				the problem description.  Developers belonging to one of the Apple
 				developer programs can submit bug reports to:
 
 					devsupport@apple.com
 
*/
#ifndef __CMCOMPONENT__
#define __CMCOMPONENT__

/* 
	This file has been included to allow older source code 
	to #include <CMComponent.h>.  Please update your source
	code to directly #include <CMMComponent.h>
	  and			 #include <CMPRComponent.h>

*/
/* #include the two ColorSync 2.0 files equivalent to the v. 1.0 file */
#ifndef __CMMCOMPONENT__
#include <CMMComponent.h>
#endif
#ifndef __CMPRCOMPONENT__
#include <CMPRComponent.h>
#endif


#endif /* __CMCOMPONENT__ */

